/* Copyright (C) 2011, 2012, 2013 by Bundesanstalt für Gewässerkunde
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU AGPL (>=v3) 
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details. 
 */

package org.dive4elements.seddb.model;
// Generated 14.06.2012 11:30:57 by Hibernate Tools 3.4.0.CR1


import java.math.BigDecimal;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Slotrechte generated by hbm2java
 */
@Entity
@Table(name="SLOTRECHTE"
    ,schema="SEDDB"
)
public class Slotrechte  implements java.io.Serializable {


     private long slotrechteid;
     private Messung messung;
     private BigDecimal uferabst;
     private BigDecimal tsand;
     private BigDecimal tschweb;
     private BigDecimal fv;
     private BigDecimal vm;
     private BigDecimal tiefe;
     private BigDecimal vsohle;
     private String bemerkung;
     private BigDecimal uferablinks;
     private Set<Sprobe> sprobes = new HashSet<Sprobe>(0);

    public Slotrechte() {
    }

    public Slotrechte(long slotrechteid, Messung messung, BigDecimal uferabst) {
        this.slotrechteid = slotrechteid;
        this.messung = messung;
        this.uferabst = uferabst;
    }
    public Slotrechte(long slotrechteid, Messung messung, BigDecimal uferabst, BigDecimal tsand, BigDecimal tschweb, BigDecimal fv, BigDecimal vm, BigDecimal tiefe, BigDecimal vsohle, String bemerkung, BigDecimal uferablinks, Set<Sprobe> sprobes) {
       this.slotrechteid = slotrechteid;
       this.messung = messung;
       this.uferabst = uferabst;
       this.tsand = tsand;
       this.tschweb = tschweb;
       this.fv = fv;
       this.vm = vm;
       this.tiefe = tiefe;
       this.vsohle = vsohle;
       this.bemerkung = bemerkung;
       this.uferablinks = uferablinks;
       this.sprobes = sprobes;
    }

     @Id


    @Column(name="SLOTRECHTEID", unique=true, nullable=false, precision=11, scale=0)
    public long getSlotrechteid() {
        return this.slotrechteid;
    }

    public void setSlotrechteid(long slotrechteid) {
        this.slotrechteid = slotrechteid;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="MESSUNGID", nullable=false)
    public Messung getMessung() {
        return this.messung;
    }

    public void setMessung(Messung messung) {
        this.messung = messung;
    }


    @Column(name="UFERABST", nullable=false, precision=8, scale=3)
    public BigDecimal getUferabst() {
        return this.uferabst;
    }

    public void setUferabst(BigDecimal uferabst) {
        this.uferabst = uferabst;
    }


    @Column(name="TSAND", precision=8, scale=3)
    public BigDecimal getTsand() {
        return this.tsand;
    }

    public void setTsand(BigDecimal tsand) {
        this.tsand = tsand;
    }


    @Column(name="TSCHWEB", precision=8, scale=3)
    public BigDecimal getTschweb() {
        return this.tschweb;
    }

    public void setTschweb(BigDecimal tschweb) {
        this.tschweb = tschweb;
    }


    @Column(name="FV", precision=6, scale=3)
    public BigDecimal getFv() {
        return this.fv;
    }

    public void setFv(BigDecimal fv) {
        this.fv = fv;
    }


    @Column(name="VM", precision=6, scale=4)
    public BigDecimal getVm() {
        return this.vm;
    }

    public void setVm(BigDecimal vm) {
        this.vm = vm;
    }


    @Column(name="TIEFE", precision=8, scale=3)
    public BigDecimal getTiefe() {
        return this.tiefe;
    }

    public void setTiefe(BigDecimal tiefe) {
        this.tiefe = tiefe;
    }


    @Column(name="VSOHLE", precision=6, scale=4)
    public BigDecimal getVsohle() {
        return this.vsohle;
    }

    public void setVsohle(BigDecimal vsohle) {
        this.vsohle = vsohle;
    }


    @Column(name="BEMERKUNG", length=240)
    public String getBemerkung() {
        return this.bemerkung;
    }

    public void setBemerkung(String bemerkung) {
        this.bemerkung = bemerkung;
    }


    @Column(name="UFERABLINKS", precision=8, scale=3)
    public BigDecimal getUferablinks() {
        return this.uferablinks;
    }

    public void setUferablinks(BigDecimal uferablinks) {
        this.uferablinks = uferablinks;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="slotrechte")
    public Set<Sprobe> getSprobes() {
        return this.sprobes;
    }

    public void setSprobes(Set<Sprobe> sprobes) {
        this.sprobes = sprobes;
    }
}
